#!/usr/bin/perl -w

# Moblin Application Checker
# Index Page Module (index.pl)
#
# Copyright (C) 2007-2009 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

use Net::FTP;

my $result = 0;
my $tarball_name = shift;

my $ftp = Net::FTP->new('ftp.linuxfoundation.org', Passive => 1);
if ($ftp) {
	if ($ftp->login('lsbatkm', 'lsbatkm1')) {
		$ftp->binary();
		if ($ftp->put($tarball_name)) {
			$result = 0;
		}
		else {
			$result = 1;
			print STDERR "FTP upload failed!\n".$ftp->message."\n";
		}
	}
	else {
		$result = 1;
		print STDERR "FTP login failed!\n".$ftp->message."\n";
	}
	$ftp->quit();
}
else {
	$result = 1;
	print STDERR "FTP connection failed!\n";
}

exit $result;
